io.vertx.groovy.ext.unit

## Class TestContext_GroovyExtension

- java.lang.Object
- - io.vertx.groovy.ext.unit.TestContext_GroovyExtension

-     public class TestContext_GroovyExtension
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestContext_GroovyExtension()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TestContext` | `assertEquals(TestContext j_receiver, Object expected, Object actual)`
    `static TestContext` | `assertEquals(TestContext j_receiver, Object expected, Object actual, String message)`
    `static TestContext` | `assertNotEquals(TestContext j_receiver, Object first, Object second)`
    `static TestContext` | `assertNotEquals(TestContext j_receiver, Object first, Object second, String message)`
    `static TestContext` | `assertNotNull(TestContext j_receiver, Object expected)`
    `static TestContext` | `assertNotNull(TestContext j_receiver, Object expected, String message)`
    `static TestContext` | `assertNull(TestContext j_receiver, Object expected)`
    `static TestContext` | `assertNull(TestContext j_receiver, Object expected, String message)`
    `static <T> Handler<AsyncResult<Object>>` | `asyncAssertFailure(TestContext j_receiver)`
    `static <T> Handler<AsyncResult<Object>>` | `asyncAssertFailure(TestContext j_receiver, Handler<Throwable> causeHandler)`
    `static <T> Handler<AsyncResult<Object>>` | `asyncAssertSuccess(TestContext j_receiver)`
    `static <T> Handler<AsyncResult<Object>>` | `asyncAssertSuccess(TestContext j_receiver, Handler<Object> resultHandler)`
    `static <T> Object` | `get(TestContext j_receiver, String key)`
    `static <T> Object` | `put(TestContext j_receiver, String key, Object value)`
    `static <T> Object` | `remove(TestContext j_receiver, String key)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestContext_GroovyExtension

          public TestContext_GroovyExtension()

  - ### Method Detail

    - #### get

          public static <T> Object get(TestContext j_receiver,
                                       String key)

    - #### put

          public static <T> Object put(TestContext j_receiver,
                                       String key,
                                       Object value)

    - #### remove

          public static <T> Object remove(TestContext j_receiver,
                                          String key)

    - #### assertNull

          public static TestContext assertNull(TestContext j_receiver,
                                               Object expected)

    - #### assertNull

          public static TestContext assertNull(TestContext j_receiver,
                                               Object expected,
                                               String message)

    - #### assertNotNull

          public static TestContext assertNotNull(TestContext j_receiver,
                                                  Object expected)

    - #### assertNotNull

          public static TestContext assertNotNull(TestContext j_receiver,
                                                  Object expected,
                                                  String message)

    - #### assertEquals

          public static TestContext assertEquals(TestContext j_receiver,
                                                 Object expected,
                                                 Object actual)

    - #### assertEquals

          public static TestContext assertEquals(TestContext j_receiver,
                                                 Object expected,
                                                 Object actual,
                                                 String message)

    - #### assertNotEquals

          public static TestContext assertNotEquals(TestContext j_receiver,
                                                    Object first,
                                                    Object second)

    - #### assertNotEquals

          public static TestContext assertNotEquals(TestContext j_receiver,
                                                    Object first,
                                                    Object second,
                                                    String message)

    - #### asyncAssertSuccess

          public static <T> Handler<AsyncResult<Object>> asyncAssertSuccess(TestContext j_receiver)

    - #### asyncAssertSuccess

          public static <T> Handler<AsyncResult<Object>> asyncAssertSuccess(TestContext j_receiver,
                                                                            Handler<Object> resultHandler)

    - #### asyncAssertFailure

          public static <T> Handler<AsyncResult<Object>> asyncAssertFailure(TestContext j_receiver)

    - #### asyncAssertFailure

          public static <T> Handler<AsyncResult<Object>> asyncAssertFailure(TestContext j_receiver,
                                                                            Handler<Throwable> causeHandler)

Copyright © 2017. All rights reserved.